Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkVertex Class Reference

`#include <vtkVertex.h>`

Inheritance diagram for vtkVertex:

[legend]
Collaboration diagram for vtkVertex:

[legend]
List of all members.

## Detailed Description

a cell that represents a 3D point

Date:
  2002/11/12 18:55:41

Revision:
  1.60

vtkVertex is a concrete implementation of vtkCell to represent a 3D point.

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (53%)
  - Martin, Ken (10%)
  - Geveci, Berk (7%)
  - Kelly, Ann (7%)

CVS logs (CVSweb):
  - .`h` (`/Common/vtkVertex.h)`
  - .`cxx` (`/Common/vtkVertex.cxx)`

Examples:
  vtkVertex (Examples)

Tests:
  vtkVertex (Tests)

Definition at line 49 of file vtkVertex.h.

## Public Types
typedef vtkCell | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
int | CellBoundary (int subId, float pcoords[3], vtkIdList *pts)
int | Triangulate (int index, vtkIdList *ptIds, vtkPoints *pts)
int | GetCellType ()
int | GetCellDimension ()
int | GetNumberOfEdges ()
int | GetNumberOfFaces ()
vtkCell * | GetEdge (int)
vtkCell * | GetFace (int)
void | Clip (float value, vtkDataArray *cellScalars, vtkPointLocator *locator, vtkCellArray *pts, vtkPointData *inPd, vtkPointData *outPd, vtkCellData *inCd, vtkIdType cellId, vtkCellData *outCd, int insideOut)
int | EvaluatePosition (float x[3], float *closestPoint, int &subId, float pcoords[3], float &dist2, float *weights)
void | EvaluateLocation (int &subId, float pcoords[3], float x[3], float *weights)
void | Contour (float value, vtkDataArray *cellScalars, vtkPointLocator *locator, vtkCellArray *verts1, vtkCellArray *lines, vtkCellArray *verts2, vtkPointData *inPd, vtkPointData *outPd, vtkCellData *inCd, vtkIdType cellId, vtkCellData *outCd)
int | IntersectWithLine (float p1[3], float p2[3], float tol, float &t, float x[3], float pcoords[3], int &subId)
void | Derivatives (int subId, float pcoords[3], float *values, int dim, float *derivs)
## Static Public Methods
vtkVertex * | New ()
int | IsTypeOf (const char *type)
vtkVertex * | SafeDownCast (vtkObject *o)
void | InterpolationFunctions (float pcoords[3], float weights[1])
## Protected Methods
| vtkVertex ()
| ~vtkVertex ()

## Member Typedef Documentation

typedef vtkCell vtkVertex::Superclass

| Reimplemented from vtkCell. Definition at line 53 of file vtkVertex.h.

## Constructor & Destructor Documentation

vtkVertex::vtkVertex | ( |  | ) | `[protected]`

vtkVertex::~vtkVertex | ( |  | ) | `[inline, protected]`

| Definition at line 120 of file vtkVertex.h.

## Member Function Documentation

vtkVertex* vtkVertex::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkVertex::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkCell.

int vtkVertex::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkCell.

virtual int vtkVertex::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkCell.

vtkVertex* vtkVertex::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkCell.

int vtkVertex::GetCellType | ( |  | ) | `[inline, virtual]`

| See the vtkCell API for descriptions of these methods. Implements vtkCell. Definition at line 59 of file vtkVertex.h. References VTK_VERTEX.

int vtkVertex::GetCellDimension | ( |  | ) | `[inline, virtual]`

| See the vtkCell API for descriptions of these methods. Implements vtkCell. Definition at line 60 of file vtkVertex.h.

int vtkVertex::GetNumberOfEdges | ( |  | ) | `[inline, virtual]`

| See the vtkCell API for descriptions of these methods. Implements vtkCell. Definition at line 61 of file vtkVertex.h.

int vtkVertex::GetNumberOfFaces | ( |  | ) | `[inline, virtual]`

| See the vtkCell API for descriptions of these methods. Implements vtkCell. Definition at line 62 of file vtkVertex.h.

vtkCell* vtkVertex::GetEdge | ( | int |  | ) | `[inline, virtual]`

| See the vtkCell API for descriptions of these methods. Implements vtkCell. Definition at line 63 of file vtkVertex.h.

vtkCell* vtkVertex::GetFace | ( | int |  | ) | `[inline, virtual]`

| See the vtkCell API for descriptions of these methods. Implements vtkCell. Definition at line 64 of file vtkVertex.h.

void vtkVertex::Clip | ( | float | value,
|  | vtkDataArray * | cellScalars,
|  | vtkPointLocator * | locator,
|  | vtkCellArray * | pts,
|  | vtkPointData * | inPd,
|  | vtkPointData * | outPd,
|  | vtkCellData * | inCd,
|  | vtkIdType | cellId,
|  | vtkCellData * | outCd,
|  | int | insideOut
| ) | `[virtual]`

| See the vtkCell API for descriptions of these methods. Implements vtkCell.

int vtkVertex::EvaluatePosition | ( | float | x[3],
|  | float * | closestPoint,
|  | int & | subId,
|  | float | pcoords[3],
|  | float & | dist2,
|  | float * | weights
| ) | `[virtual]`

| See the vtkCell API for descriptions of these methods. Implements vtkCell.

void vtkVertex::EvaluateLocation | ( | int & | subId,
|  | float | pcoords[3],
|  | float | x[3],
|  | float * | weights
| ) | `[virtual]`

| See the vtkCell API for descriptions of these methods. Implements vtkCell.

int vtkVertex::CellBoundary | ( | int | subId,
|  | float | pcoords[3],
|  | vtkIdList * | pts
| ) | `[virtual]`

| Given parametric coordinates of a point, return the closest cell boundary, and whether the point is inside or outside of the cell. The cell boundary is defined by a list of points (pts) that specify a vertex (1D cell). If the return value of the method is != 0, then the point is inside the cell. Implements vtkCell.

void vtkVertex::Contour | ( | float | value,
|  | vtkDataArray * | cellScalars,
|  | vtkPointLocator * | locator,
|  | vtkCellArray * | verts1,
|  | vtkCellArray * | lines,
|  | vtkCellArray * | verts2,
|  | vtkPointData * | inPd,
|  | vtkPointData * | outPd,
|  | vtkCellData * | inCd,
|  | vtkIdType | cellId,
|  | vtkCellData * | outCd
| ) | `[virtual]`

| Generate contouring primitives. The scalar list cellScalars are scalar values at each cell point. The point locator is essentially a points list that merges points as they are inserted (i.e., prevents duplicates). Implements vtkCell.

int vtkVertex::IntersectWithLine | ( | float | p1[3],
|  | float | p2[3],
|  | float | tol,
|  | float & | t,
|  | float | x[3],
|  | float | pcoords[3],
|  | int & | subId
| ) | `[virtual]`

| Intersect with a ray. Return parametric coordinates (both line and cell) and global intersection coordinates, given ray definition and tolerance. The method returns non-zero value if intersection occurs. Implements vtkCell.

int vtkVertex::Triangulate | ( | int | index,
|  | vtkIdList * | ptIds,
|  | vtkPoints * | pts
| ) | `[virtual]`

| Triangulate the vertex. This method fills pts and ptIds with information from the only point in the vertex. Implements vtkCell.

void vtkVertex::Derivatives | ( | int | subId,
|  | float | pcoords[3],
|  | float * | values,
|  | int | dim,
|  | float * | derivs
| ) | `[virtual]`

| Get the derivative of the vertex. Returns (0.0, 0.0, 0.0) for all dimensions. Implements vtkCell.

void vtkVertex::InterpolationFunctions | ( | float | pcoords[3],
|  | float | weights[1]
| ) | `[static]`

| Vertex specific methods.

The documentation for this class was generated from the following file:

- Common/vtkVertex.h